# FdoIdentifierCollection Class Reference

`#include <IdentifierCollection.h>`

Inheritance diagram for FdoIdentifierCollection:

[legend]

List of all members.

## Detailed Description

The FdoIdentifierCollection class represents a collection of FdoIdentifier objects.

Definition at line 32 of file IdentifierCollection.h.

## Public Member Functions
virtual FdoInt32 | Add (FdoIdentifier *value)
| Adds the specified item to the end of the collection. Returns the index of the newly added item.
virtual void | Clear ()
| Removes all items from the collection.
virtual bool | Contains (FdoString *name)
| Returns true if the collection contains the specified item, false otherwise.
virtual bool | Contains (const FdoIdentifier *value)
| Returns true if the collection contains the specified item, false otherwise.
FDO_API FdoIdentifier * | FindItem (const wchar_t *name)
| Finds the item in the collection with the specified name.
FDO_API FdoIdentifier * | GetItem (const wchar_t *name)
| Gets the item in the collection with the specified name. Throws an exception if the item is not found.
FDO_API FdoIdentifier * | GetItem (FdoInt32 index)
| Gets the item in the collection at the specified index. Throws an invalid argument exception if the index is out of range.
virtual FdoInt32 | IndexOf (FdoString *name)
| Returns the index of the specified item (by name) in the collection or -1 if the item does not exist.
virtual FdoInt32 | IndexOf (const FdoIdentifier *value)
| Returns the index of the specified item in the collection or -1 if the item does not exist.
virtual void | Insert (FdoInt32 item, FdoIdentifier *value)
| Inserts the specified item at the specified index within the collection. Items following the insertion point are moved down to accommodate the new item. Throws an invalid argument exception if the specified index is out of range.
virtual void | Remove (const FdoIdentifier *value)
| Removes the specified item from the collection. Throws an invalid argument exception if the item does not exist within the collection.
virtual void | RemoveAt (FdoInt32 index)
| Removes the specified item from the collection. Throws an invalid argument exception if the item does not exist within the collection.
virtual void | SetItem (FdoInt32 index, FdoIdentifier *value)
| Sets the item in the collection at the specified index to the specified value. Throws an invalid argument exception if the index is out of range.
## Static Public Member Functions
static FDO_API FdoIdentifierCollection * | Create ()
| Constructs a default empty instance of an FdoIdentifierCollection.
## Protected Member Functions
| FdoIdentifierCollection (bool caseSensitive=true)
virtual | ~FdoIdentifierCollection (void)

The documentation for this class was generated from the following file:

- IdentifierCollection.h